# Poco::XML

# class Name

Library: XML
Package: XML
Header: Poco/XML/Name.h

## Description

An XML element or attribute name, consisting of a qualified name, a namespace URI and a local name.

## Member Summary

Member Functions: assign, equals, equalsWeakly, localName, namespaceURI, operator =, prefix, qname, split, swap

## Constructors

### Name

Name();

Creates an empty Name.

### Name

Name(
const XMLString & qname
);

Creates a Name from a qualified name only.

### Name

Name(
const Name & name
);

Copy constructor.

### Name

Name(
Name && name
) noexcept;

Move constructor.

### Name

Name(
const XMLString & qname,
const XMLString & namespaceURI
);

Creates a Name from a qualified name and a namespace URI. The local name is extracted from the qualified name.

### Name

Name(
const XMLString & qname,
const XMLString & namespaceURI,
const XMLString & localName
);

Creates a Name from a qualified name, a namespace URI and a local name.

## Destructor

### ~Name

~Name();

Destroys the name.

## Member Functions

### assign

void assign(
const XMLString & qname
);

Assigns a new value to the name.

### assign

void assign(
const XMLString & qname,
const XMLString & namespaceURI
);

Assigns new values to the name. The local name is extracted from the qualified name.

### assign

void assign(
const XMLString & qname,
const XMLString & namespaceURI,
const XMLString & localName
);

Assigns new values to the name.

### equals

bool equals(
const Name & name
) const;

Returns true if both names are equal.

### equals

bool equals(
const XMLString & qname,
const XMLString & namespaceURI,
const XMLString & localName
) const;

Returns true if all the name's components are equal to the given ones.

### equalsWeakly

bool equalsWeakly(
const XMLString & qname,
const XMLString & namespaceURI,
const XMLString & localName
) const;

Returns true if either the qnames are identical or the namespaceURIs and the localNames are identical.

### localName

const XMLString & localName() const;

Returns the local name.

### localName

static XMLString localName(
const XMLString & qname
);

Returns the local name part of the given qualified name.

### namespaceURI

const XMLString & namespaceURI() const;

Returns the namespace URI.

### operator =

Name & operator = (
const Name & name
);

Assignment operator.

### operator =

Name & operator = (
Name && name
) noexcept;

Move assignment.

### prefix

XMLString prefix() const;

Returns the namespace prefix.

### prefix

static XMLString prefix(
const XMLString & qname
);

Returns the prefix part of the given qualified name.

### qname

const XMLString & qname() const;

Returns the qualified name.

### split

static void split(
const XMLString & qname,
XMLString & prefix,
XMLString & localName
);

Splits the given qualified name into its prefix and localName parts.

### swap

void swap(
Name & name
) noexcept;

Swaps the name with another one.

## Variables

### EMPTY_NAME

static const XMLString EMPTY_NAME;